Bug 1012897 - [RHSC] 'Remove' button in Bricks tab active even if no bricks are selected
[RHSC] 'Remove' button in Bricks tab active even if no bricks are selected
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dusmant
Shruti Sampat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 06:48 EDT by Shruti Sampat
Modified: 2016-02-17 19:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 06:08:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2013-09-27 06:48:58 EDT
Description of problem:
-------------------------
When a volume is selected, and the Bricks tab is looked at, the 'Remove' button is enabled even when no bricks are selected. On clicking the Remove button the 'Stop' menu item is enabled.

Version-Release number of selected component (if applicable):
Red Hat Storage Console Version: 2.1.1-0.0.1.master.el6ev 

How reproducible:
Always

Steps to Reproduce:
1. Create a volume and navigate to the Bricks tab for that volume.

Actual results:
When no bricks are selected, the Remove button is enabled.

Expected results:
Remove button should be disabled if any brick is not selected.

Additional info:
Comment 2 Dusmant 2013-10-25 06:08:02 EDT
This issue is no longer applicable, after the menu moved out to rows...

Note You need to log in before you can comment on or make changes to this bug.